Subject: [Idr] draft-ietf-idr-ls-distribution-12.txt - Need IPR Statements from Stefano and Adrian Farell

From: "Susan Hares" <[email-masked]>
Date: Thu, 8 Oct 2015 12:58:47 -0400

Stefano and Adrian: 

We cannot finishing processing of draft-ietf-idr-ls-distribution until you
answers the WG LC IPR Statement

Do you know if any IPR other than the disclosure WG IPR at: 

https://datatracker.ietf.org/ipr/1864/

Sue Hares 

For Shepherd Jie Dong

---

From: "Susan Hares" <[email-masked]>
Date: Thu, 8 Oct 2015 13:20:51 -0400

Resending with Stefano's correct email address. 

Sue Hares

PS - Thank you to Acee Lindem for noticing my error. 

From: Idr [mailto:[email-masked]] On Behalf Of Susan Hares
Sent: Thursday, October 08, 2015 12:59 PM
To: [email-masked]; 'Adrian Farrel'; [email-masked]'
Subject: [Idr] draft-ietf-idr-ls-distribution-12.txt - Need IPR Statements
from Stefano and Adrian Farell

Stefano and Adrian: 

Sue Hares 

For Shepherd Jie Dong

---

From: "Stefano Previdi (sprevidi)" <[email-masked]>
Date: Thu, 8 Oct 2015 17:27:44 +0000

Hi,

Sorry for being late on this.

I'm not aware of any IPR on this draft.

s.

-----Original Message-----
From: Susan Hares [[email-masked]]
Received: Thursday, 08 Oct 2015, 19:21
To: [email-masked] [[email-masked]]; 'Adrian Farrel' [[email-masked]]; Stefano Previdi (sprevidi) [[email-masked]]
Subject: RE: [Idr] draft-ietf-idr-ls-distribution-12.txt - Need IPR Statements from Stefano and Adrian Farell

Resending with Stefano’s correct email address.

Sue Hares

PS – Thank you to Acee Lindem for noticing my error.

From: Idr [mailto:[email-masked]] On Behalf Of Susan Hares
Sent: Thursday, October 08, 2015 12:59 PM
To: [email-masked]; 'Adrian Farrel'; [email-masked]'
Subject: [Idr] draft-ietf-idr-ls-distribution-12.txt - Need IPR Statements from Stefano and Adrian Farell

Stefano and Adrian:

We cannot finishing processing of draft-ietf-idr-ls-distribution until you answers the WG LC IPR Statement

Sue Hares
For Shepherd Jie Dong

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 8 Oct 2015 18:39:55 +0100

Hi Sue,
 
Attached.
 
And then, of course, I just posted the latest revision as can be seen by the
datatracker, and that version includes...
   This Internet-Draft is submitted in full conformance with the
   provisions of BCP 78 and BCP 79.
 
But, to avoid a discussion:
  No, I am not aware of any IPR related to this document that has not already
been disclosed.
 
Thanks,
Adrian

From: Susan Hares [mailto:[email-masked]] 
Sent: 08 October 2015 17:59
To: [email-masked]; 'Adrian Farrel'; [email-masked]'
Cc: 'Alvaro Retana (aretana)'
Subject: draft-ietf-idr-ls-distribution-12.txt - Need IPR Statements from
Stefano and Adrian Farell 
 
Stefano and Adrian: 

 
 
Sue Hares 
For Shepherd Jie Dong

Subject: RE: Mail regarding draft-ietf-idr-ls-distribution
From: "Adrian Farrel" <[email-masked]>
To: "'Susan Hares'" <[email-masked]>, <[email-masked]>, "'Bruno Rijsman'" <[email-masked]>, "'Hannes Gredler'" <[email-masked]>
Cc: "'Alia Atlas'" <[email-masked]>, "'John G. Scudder'" <[email-masked]>
Date: Wed, 5 Mar 2014 10:29:05 +0100

Hi Sue,
 
I am personally unaware of any IPR that has not already been disclosed that
might impact upon this draft.
 
Thanks,
Adrian
 
From: Susan Hares [mailto:[email-masked]] 
Sent: 05 March 2014 04:57
To: [email-masked]; Bruno Rijsman; Hannes Gredler
Cc: 'Adrian Farrel'; Alia Atlas; John G. Scudder
Subject: Mail regarding draft-ietf-idr-ls-distribution
 
Bruno, Adrian, Hannes, Jan, Stefano, and Saikat
 
Welcome to the phase of the RFC process that can be painful.  I am your document
shepherd as well as WG co-chair.  This message is one of a stream of emails you
will need to respond quickly to in order to push this to RFC quickly.  
 
First of all, please confirm for the RFC process that you have disclosed all
IPR. Please respond to this message. It is a gating factor on the early
allocation that Alia Atlas (our new AD) will perform.  Unfortunately, you will
also be asked to confirm this on-list during the WG LC call. 
 
Here's my current plan for the approval process of this document in March-April.
 
3/5/14 - Update shepherd's write-up gets forwarded to Alia Atlas (new AD) can
approve the early allocation
a)  AFI/SAFI
b)  BGP Path Attribute 
 
3/6-3/11: Editorial comments (see below) will be sent to you from me (and
perhaps Alia) on this document and the implementation report. 
          The first set of these editorial comments is the fixing of the nits
below.
          The second set will be sent on Thursday based on my re-reading the
document and the IETF 89 discussion.
          Please spin this document with the fixes. 

3/12-3/26: I will do a WG LC 
 
I will do a WG LC, and send this draft to GEN-ART, OPS-DIR, ISIS chairs, I2RS WG
chairs, routing directorate, and Routing AD for early review.  The early review
process allows these groups to provide early review prior to the IESG process.
The benefit to these reviews is that we may spin a copy of the draft prior to
entering the IESG approval process. As Adrian will tell you, a document which
goes in pre-approved by these groups tends to go through quicker.
          Please plan to select members of the team to respond to these
editorials.
 
3/26: Final check before IESG Evaluation
 
If you have responded to the GEN-ART, OPS-IDR, ISIS Chairs, and Routing AD,
We'll do a last email exchange and then I will send it to Alia Atlas and Adrian
for IESG Review.
 
3/27-4/30(?) 
 
Adrian and Alia have the following steps to go through:
a)  IETF LC
b)  Directorate formal reviews (GEN-ART, OPS-DIR, Routing Directorate (if they
wish))
c)  Final IESG review
 
Again, please elect someone to respond quickly to these action.  
 
Thank you,
 
Susan Hares

===============

Editorial comments on:  On draft-ietf-idr-ls-distribution: 
 
1)  Please provide XML, TXT, and pdf as input
2)  Please fix the following nits 

  Checking nits according to http://www.ietf.org/id-info/checklist :
  ----------------------------------------------------------------------------
 
  == There are 1 instance of lines with private range IPv4 addresses in the
     document.  If these are generic example addresses, they should be changed
     to use any of the ranges defined in RFC 5735 (or successor): 192.0.2.x,
     198.51.100.x or 203.0.113.x.

  Miscellaneous warnings:
  ----------------------------------------------------------------------------
 
  == The copyright year in the IETF Trust and authors Copyright Line does not
     match the current year
 
  == The document seems to lack the recommended RFC 2119 boilerplate, even if
     it appears to use RFC 2119 keywords -- however, there's a paragraph with
     a matching beginning. Boilerplate error?
 
     (The document does seem to have the reference to RFC 2119 which the
     ID-Checklist requires).
  -- The document date (July 15, 2012) is 597 days in the past.  Is this
     intentional?

  Checking references for intended status: Proposed Standard
  ----------------------------------------------------------------------------
 
     (See RFCs 3967 and 4897 for information about using normative references
     to lower-maturity documents in RFCs)
 
  ** Obsolete normative reference: RFC 4893 (Obsoleted by RFC 6793)
 
  == Outdated reference: A later version (-26) exists of
     draft-ietf-alto-protocol-11
 
  == Outdated reference: draft-ietf-isis-mi has been published as RFC 6822

     Summary: 1 error (**), 0 flaws (~~), 5 warnings (==), 1 comment (--).
 
     Run idnits with the --verbose option for more detailed information about
     the items above.
 
=========
 
Editorial comments on the implementation report
 
1)  If you have a third implementation - please add it by 3/10
2)  Make sure to provide txt, xml, and pdf - in good forms.

---

From: "Susan Hares" <[email-masked]>
Date: Thu, 8 Oct 2015 18:17:23 -0400

Adrian: 

Thank you for the mail pointer which I obviously missed in the email search.
This would have been sufficient had your chair found it.  Mea culpa.  

I realize you posted the draft with BCP 78 and BCP 79, but I had a request
from my AD and the rest of IESG to have an email thread with your comment
about not being aware that I could point to in the shepherd report.  Thank
you for your kindness in avoiding discussion and giving me 2 email pointers.

Your red-faced IDR Co-chair, 

Sue 

From: Idr [mailto:[email-masked]] On Behalf Of Adrian Farrel
Sent: Thursday, October 08, 2015 1:40 PM
To: 'Susan Hares'; [email-masked]
Subject: Re: [Idr] draft-ietf-idr-ls-distribution-12.txt - Need IPR
Statements from Stefano and Adrian Farell

Hi Sue,

Attached.

  No, I am not aware of any IPR related to this document that has not
already been disclosed.

Thanks,

Adrian

Stefano and Adrian: 

Sue Hares 

For Shepherd Jie Dong